Between the release of Firefox 0.8 and the Web Developer extension getting a mention on kottke.org this site has seen quite a bit of traffic. I have also had many emails asking if the User Agent Switcher and Web Developer extensions are compatible with Firefox 0.8—which they both are. Lastly, the Uninstaller extension has been re-released so that people can test if the previous problems have been fixed by the Firefox release.